College Basketball DataCollege Basketball Data
  • CollegeBasketballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • API Reference
Helpful links
  • CBBD
  • Get API key
  • Access tiers
Official libraries
  • Python
  • TypeScript
  • R
  • API source
Other resources
  • Rad Sports Analytics
  • Football
  • CBB Starter Pack

A Rad Sports Analytics platform.

xdiscordgithub
Information
Games
    /gamesget/games/mediaget/games/teamsget/games/playersget/scoreboardget
Plays
    /substitutions/game/{gameId}get/substitutions/player/{playerId}get/substitutions/teamget/plays/game/{gameId}get/plays/player/{playerId}get/plays/teamget/plays/dateget/plays/tournamentget/plays/typesget
Teams
    /teamsget/teams/rosterget
Conferences
    /conferencesget/conferences/historyget
Venues
    /venuesget
Stats
    /stats/team/leaderboardget/stats/team/seasonget/stats/team/shooting/seasonget/stats/player/seasonget/stats/player/shooting/seasonget
Rankings
    /rankingsget
Ratings
    /ratings/srsget/ratings/adjustedget/ratings/eloget
Lines
    /linesget/lines/providersget
Lineups
    /lineups/teamget/lineups/game/{gameId}get
Draft
    /draft/teamsget/draft/positionsget/draft/picksget
Recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/portalget
Schemas
powered by Zudoku
College Basketball Data API
College Basketball Data API

Conferences

Download schema

Conference information and membership history.


GET
https://api.collegebasketballdata.com
/conferences
Bearer

Returns available conferences and their identifiers.

Responses

200

Ok

​ConferenceInfo[]
ConferenceInfo
id
​integer · int32 · required
sourceId
​string · required
name
​string · required
abbreviation
​string · required
shortName
​string · required
GET/conferences
curl https://api.collegebasketballdata.com/conferences \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "id": 0, "sourceId": "sourceId", "name": "name", "abbreviation": "abbreviation", "shortName": "shortName" } ]
json
application/json

GET
https://api.collegebasketballdata.com
/conferences/history
Bearer

Returns historical conference membership records.

query Parameters

conference
​string

Filters results to the specified conference abbreviation.

Responses

200

Ok

​ConferenceHistory[]
ConferenceHistory
id
​integer · int32 · required
sourceId
​string · required
name
​string · required
abbreviation
​string · required
shortName
​string · required
​object[] · required
GET/conferences/history
curl https://api.collegebasketballdata.com/conferences/history \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "id": 0, "sourceId": "sourceId", "name": "name", "abbreviation": "abbreviation", "shortName": "shortName", "teams": [ { "endSeason": 0, "startSeason": 0, "mascot": "mascot", "school": "school", "sourceId": "sourceId", "id": 0 } ] } ]
json
application/json

TeamsVenues